- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_stream_t

# mongoc_stream_get_base_stream()

## Synopsis

    mongoc_stream_t *
    mongoc_stream_get_base_stream (mongoc_stream_t *stream);

## Parameters

- `stream`: A mongoc_stream_t.

This function shall fetch the underlying stream for streams that wrap a base stream. Such implementations include mongoc_stream_buffered_t and mongoc_stream_tls_t.

## Returns

A mongoc_stream_t or `NULL`.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.